import React from "react";
import PropTypes from "prop-types";
import Icon from "./Icon";

const SalesIcon = ({ originalWidth, originalHeight, color, ...props }) => (
    <Icon
        originalHeight={originalHeight}
        originalWidth={originalWidth}
        {...props}
    >
        <path
            d="M2.79849 16.4494C2.79849 18.2929 4.29279 19.7936 6.13368 19.8042C5.40132 20.1649 4.89619 20.9189 4.89619 21.7889C4.89619 23.0082 5.88794 24 7.10702 24C8.32609 24 9.31801 23.0082 9.31801 21.7889C9.31801 20.9193 8.81312 20.1656 8.0814 19.8047H16.618C15.8863 20.1656 15.3816 20.9193 15.3816 21.7889C15.3816 23.0082 16.3734 24 17.5924 24C18.8115 24 19.8033 23.0082 19.8033 21.7889C19.8033 20.9193 19.2985 20.1656 18.5668 19.8047H20.3886C20.8375 19.8047 21.2013 19.4408 21.2013 18.9919C21.2013 18.5431 20.8375 18.1792 20.3886 18.1792H6.15308C5.19962 18.1792 4.42378 17.4032 4.42378 16.4494V15.1282C4.92916 15.4335 5.52099 15.6095 6.15308 15.6095H17.5925C19.3618 15.6095 21.1284 14.2767 21.6142 12.5754L23.7124 5.23111C23.7824 4.98594 23.7334 4.7221 23.5797 4.51846C23.4262 4.31483 23.1858 4.19523 22.9309 4.19523H4.42378V3.35539C4.42378 1.50521 2.91889 0 1.06895 0C0.620146 0 0.256348 0.36396 0.256348 0.812768C0.256348 1.26158 0.620146 1.62545 1.06903 1.62545C2.02265 1.62545 2.79849 2.40154 2.79849 3.35547V16.4494Z"
            fill={color}
        />
    </Icon>
);

SalesIcon.defaultProps = {
    originalWidth: 24,
    originalHeight: 24,
};

SalesIcon.propTypes = {
    color: PropTypes.string,
    originalHeight: PropTypes.number,
    originalWidth: PropTypes.number,
};

export default SalesIcon;
